{% extends 'base.html' %}

{% block content %}
<body>
    <style>

        .detail:hover {
            cursor: pointer;
        }

        .konfirmasi:hover {
            cursor: pointer;
        }

        .bg-modal {
	        background-color: rgba(0, 0, 0, 0.8);
	        width: 100%;
	        height: 100%;
	        position: absolute;
	        top: 0;
	        display: none;
	        justify-content: center;
	        align-items: center;
        }

        .modal-contents {
	        height: 400px;
	        width: 500px;
	        background-color: white;
	        text-align: center;
	        padding: 20px;
	        position: relative;
	        border-radius: 4px;
        }

        .close {
	        position: absolute;
	        top: 0;
	        right: 10px;
	        font-size: 42px;
	        color: #333;
	        transform: rotate(45deg);
	        cursor: pointer;
        }

    </style>

    <div class="container py-3">
        <div class="d-flex justify-content-center">
            <h1>Transaksi Hotel</h1>
        </div>
        <table class="table mt-3">
            <thead class="bg-1">
            <tr>
                <th scope="col">Id Transaksi</th>
                <th scope="col">Pasien</th>
                <th scope="col">Tanggal Pembayaran</th>
                <th scope="col">Waktu Pembayaran</th>
                <th scope="col">Total Bayar</th>
                <th scope="col">Status</th>
                <th scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
                {% for attrs in transHotelData %}
                    <tr class="bg-4">
                        <th scope="row" class="{{attrs.0}}">{{attrs.0}}</th>
                        <td class="{{attrs.0}}">{{attrs.1}}</td>
                        <td class="{{attrs.0}}">{{attrs.2}}</td>
                        <td class="{{attrs.0}}">{{attrs.3}}</td>
                        <td class="{{attrs.0}}">{{attrs.4}}</td>
                        <td class="{{attrs.0}}">{{attrs.5}}</td>
                        <td class="{{attrs.0}}a">
                            {% if attrs.5 != "Lunas" %}
                            <a class="konfirmasi">
                                [Konfirmasi Pembayaran]
                            </a>
                            <br>
                            {% endif %}

                            <a class="detail">
                                [Detail]
                            </a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="bg-modal" id="popup">
        <div class="modal-contents" id="popupcont">
            <div class="close", id="close">+</div>
        </div>
    </div>

    <script>
        
        let details = document.getElementsByClassName("detail")
        let popup = document.getElementById("popup")
        let popupcont = document.getElementById("popupcont")
        let closes = document.getElementById("close")
        let konfirmasi = document.getElementsByClassName("konfirmasi")

        for(var i = 0; i < details.length; i++){
            let transID = details[i].parentElement.classList[0].slice(0, -1);
            let pasienCode = details[i].parentElement.parentElement.childNodes[3].innerHTML

            details[i].onclick = function() {
                fetch("/detailTransHotel/", {
                    method: 'POST',
                    body: JSON.stringify({
                        kodepasien: pasienCode,
                        transID: transID
                    })
                }).then(function(response) {
                    return response.json()
                })
                .then(function(data) {
                    let ingfos = Array.prototype.slice.call(document.getElementsByClassName(transID))
                        ingfos[1] = "NIK Pasien: " + ingfos[1].innerHTML
                        ingfos[0] = "ID Transaksi: " + ingfos[0].innerHTML
                        ingfos[2] = "Tanggal Pembayaran: " + ingfos[2].innerHTML
                        ingfos[3] = "Waktu Pembayaran: " + ingfos[3].innerHTML
                        ingfos[4] = "Total Biaya: " + ingfos[4].innerHTML
                        ingfos[5] = "Status Bayar: " + ingfos[5].innerHTML

                        ingfos.push("")

                        ingfos.push("Transaksi Booking: " + data['transbook'])
                        for (var j = 0; j < data['transmakan'].length; j++) {
                            let no = j + 1
                            ingfos.push("Transaksi Makan " + no + ": " + data['transmakan'][j])
                        }

                        ingfos.push("")
                        
                        ingfos.push("Tanggal Masuk: " + data['tglmasuk'])
                        ingfos.push("Tanggal Keluar: " + data['tglkeluar'])
                        ingfos.push("Hotel: " + data['nama'])
                        ingfos.push("Ruangan: " + data['koderoom'])

                        for (var j = 0; j < ingfos.length; j++) {
                            popupcont.appendChild(document.createElement("p").appendChild(document.createTextNode(ingfos[j])))
                            popupcont.appendChild(document.createElement("br"))
                        }

                        popup.style.display = 'flex'
                })
            }
        }

        for(var i = 0; i < konfirmasi.length; i++){
            let transID = konfirmasi[i].parentElement.classList[0].slice(0, -1)

            konfirmasi[i].onclick = function() {
                fetch("/konfirmasiHotel/", {
                    method: 'POST',
                    body: JSON.stringify({
                        idtransaksi: transID,
                    })
                })
                location.reload();
            }
        }

        closes.onclick = function() {
            while (popupcont.hasChildNodes()) {
                popupcont.removeChild(popupcont.lastChild)
                
                if (popupcont.lastChild.innerHTML === "+") {
                    break
                }
            }       
            popup.style.display = "none"
        }

    </script>
{% endblock content %}

